# Copyright (c) 2000-2012, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

%define section free
%define _binary_payload w9.gzdio
%define _source_payload w9.gzdio
%define _binary_filedigest_algorithm 1
%define _source_filedigest_algorithm 1

Name:           plexus-archiver
Version:        1.1
Release:        1%{?dist}
Epoch:          0
Summary:        Plexus Archiver Component
License:        MIT and ASL 2.0
Group:          Development/Java
# svn export http://svn.codehaus.org/plexus/plexus-components/tags/plexus-archiver-1.1/plexus-archiver-1.1/ && tar cjf plexus-archiver-1.1.tar.bz2 plexus-archiver-1.1/
URL:            http://plexus.codehaus.org/plexus-components/plexus-archiver/
Source0:        plexus-archiver-%{version}.tar.bz2
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
Requires:       plexus-container-default
# XXX: 1.0-alpha-4
Requires:       plexus-io >= 0:1.0.1
Requires:       plexus-utils
BuildRequires:  jpackage-utils >= 0:1.7.5
BuildRequires:  plexus-container-default
# XXX: 1.0-alpha-4
BuildRequires:  plexus-io >= 0:1.0.1
BuildRequires:  plexus-utils
BuildRequires:  maven2
BuildRequires:  maven2-common-poms
BuildRequires:  maven2-plugin-resources
BuildRequires:  maven2-plugin-compiler
BuildRequires:  maven2-plugin-jar
BuildRequires:  maven2-plugin-install
BuildRequires:  maven2-plugin-javadoc
BuildRequires:  maven-surefire-maven-plugin
BuildRequires:  maven-surefire-provider-junit
BuildRequires:  maven-shared-reporting-impl
# FIXME: circular dependency required by maven-plugin-javadoc for javadoc:javadoc
BuildRequires:  %{name}
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
The Plexus project seeks to create end-to-end developer tools for 
writing applications. At the core is the container, which can be 
embedded or for a full scale application server. There are many 
reusable components for hibernate, form processing, jndi, i18n, 
velocity, etc. Plexus also includes an application server which 
is like a J2EE application server, without all the baggage.


%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation
Requires:       jpackage-utils

%description javadoc
Javadoc for %{name}.

%prep
%setup -q 

%build
export MAVEN_REPO_LOCAL=$(pwd)/.m2/repository
mvn-jpp -e -Dmaven.repo.local=$MAVEN_REPO_LOCAL install 
mvn-jpp -e -Dmaven.repo.local=$MAVEN_REPO_LOCAL javadoc:javadoc

%install
rm -rf $RPM_BUILD_ROOT
# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/plexus
install -pm 644 target/plexus-archiver-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/plexus-archiver-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do ln -s ${jar} `echo $jar | sed "s|-%{version}||g"`; done)

# pom
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/maven2/poms
install -pm 644 pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP-plexus-archiver.pom
%add_to_maven_depmap org.codehaus.plexus plexus-archiver %{version} JPP plexus-archiver

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/plexus-archiver-%{version}
cp -pr target/site/api*/* $RPM_BUILD_ROOT%{_javadocdir}/plexus-archiver-%{version}
ln -s plexus-archiver-%{version} $RPM_BUILD_ROOT%{_javadocdir}/plexus-archiver 

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(0644,root,root,0755)
%{_javadir}*/*.jar
%{_datadir}/maven2/poms/JPP-plexus-archiver.pom
%{_mavendepmapfragdir}/%{name}

%files javadoc
%defattr(0644,root,root,0755)
%doc %{_javadocdir}/*

%changelog
* Tue Aug 07 2012 Ralph Apel <r.apel@r-apel.de> 0:1.1-1
- 1.1

* Wed May 23 2012 Ralph Apel <r.apel@r-apel.de> 0:1.0-2
- 1.0 final

* Thu Oct 13 2011 David Walluck <dwalluck@redhat.com> 0:1.0-1_alpha_12
- change Release (for fc, mdv)

* Fri Sep 16 2011 David Walluck <dwalluck@redhat.com> 0:1.0-0.a12.1
- 1.0-alpha-12
- fix jar name and location

* Mon May 04 2009 Yong Yang <yyang@redhat.com> - 0:1.0-0.a7.5
- Rebuild with maven2 2.0.8 built in non-bootstrap mode

* Thu Mar 19 2009 Yong Yang <yyang@redhat.com> - 0:1.0-0.a7.4
- rebuild with new maven2 2.0.8 built in bootstrap mode

* Fri Feb 06 2009 Yong Yang <yyang@redhat.com> - 0:1.0-0.a7.3
- Fix release tag

* Thu Jan 15 2009 Yong Yang <yyang@redhat.com> - 0:1.0-0.a7.2jpp.1
- Imported from dbhole's maven 2.0.8 packages, initial building

* Wed Jul 09 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0:1.0-0.2.a7.1.2
- drop repotag
- fix license tag

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0:1.0-0.2.a7.1jpp.1
- Autorebuild for GCC 4.3

* Fri Feb 01 2008 Ralph Apel <r.apel at r-apel.de> - 0:1.0-0.a8.1jpp
- 1.0-alpha-8

* Fri Jan 04 2008 Deepak Bhole <dbhole@redhat.com> 1.0-0.1.a7.1jpp.1
- Update to alpha 7

* Fri Nov 30 2007 Ralph Apel <r.apel at r-apel.de> - 0:1.0-0.a7.1jpp
- 1.0-alpha-7

* Sat Mar 24 2007 Ralph Apel <r.apel at r-apel.de> - 0:1.0-0.a6.2jpp
- Build with maven2 by default
- Add gcj_support option

* Thu Feb 15 2007 Matt Wrigne <mwringe@redhat.com> - 0:1.0-0.1.a6.1jpp.1
- Fix rpmlint issues
- Version package to new jpp versioning standards
- Remove javadoc post and postun sections

* Mon Jun 19 2006 Deepak Bhole <dbhole@redhat.com> - 0:1.0-0.a6.1jpp
- Upgrade to 1.0-alpha-6

* Wed May 31 2006 Ralph Apel <r.apel at r-apel.de> - 0:1.0-0.a3.2jpp
- First JPP-1.7 release

* Mon Nov 07 2005 Ralph Apel <r.apel at r-apel.de> - 0:1.0-0.a3.1jpp
- First JPackage build
